# 푸시 알림 이력

{% hint style="info" %}
회원 아이디로 최근 1주일간 수신된 푸시 리스트를 반환
{% endhint %}

## **연동 방식**

https 프로토콜을 이용한 Rest API

***

## **필수값**

| 이름      | 내용                     |
| ------- | ---------------------- |
| API Key | 설정 페이지에서 발급한 API Key 값 |

***

## **요청 주소**

[https://api.groobee.io](https://api.groobee.io/)

***

## **요청 방법**

Rest API 요청 시 Header에 x-api-key 키로 API Key를 값으로 포함해야 합니다.

```
curl --location --request GET 'https://api.groobee.io/<요청주소>' \
--header 'x-api-key: <발급 받은 API Key 값>'
```

* **API key 확인 방법**
  * <https://app.groobee.io/> 접속하여 계정 로그인
  * [설정 > 사이트 > 사이트 설정 > Key 관리](https://app.groobee.io/setting/main)에서 key 생성 후 확인 가능

### **요청 형태**

<table><thead><tr><th width="121.234375">Method</th><th width="247.94921875">URI</th><th width="86.01171875">요청/응답 형식</th><th>설명</th></tr></thead><tbody><tr><td>GET</td><td>/v1/push?memberId=&#x3C;회원 ID></td><td>JSON</td><td>옵션 필드 미사용 시</td></tr><tr><td>GET</td><td>/v1/push?memberId=&#x3C;회원 ID>&#x26;fields=&#x3C;옵션 필드></td><td>JSON</td><td>옵션 필드 사용 시<br>※ fields=&#x3C;옵션 필드>는 필수가 아닌 선택 파라미터<br></td></tr></tbody></table>

### **응답 결과**

JSON으로 응답하며 형태는 아래를 참고해 주세요.

```
{
    "httpStatus": {
        "code": <http status code>,
        "reasonPhrase": <http status 내용>
    },
    "processCode": <결과 코드>,
    "processValue": <요청한 엔드포인트의 응답값>
}
```

### **processCode 코드값**

<table><thead><tr><th width="158.0703125">코드 값</th><th width="185.796875">상태</th><th>설명</th></tr></thead><tbody><tr><td>0</td><td>성공</td><td>-</td></tr><tr><td>-1000</td><td>실패</td><td>요청 시 Header에 x-api-key 미존재</td></tr><tr><td>-1001</td><td>실패</td><td>고객사 미존재</td></tr><tr><td>-1002</td><td>실패</td><td>고객사 미승인 상태 (승인 필요)</td></tr><tr><td>-1003</td><td>실패</td><td>고객사 계약기간 만료</td></tr><tr><td>-9998</td><td>실패</td><td>http 관련 에러</td></tr><tr><td>-9999</td><td>실패</td><td>요청 API 서버 에러</td></tr></tbody></table>

### **응답 데이터 예시**

```
{
     "httpStatus": {
         "code": <http status code>,
         "reasonPhrase": <http status 내용>
     },
     "processCode": <결과 코드>,
     "processValue": [
             {
                 "title": <푸시 제목>,
                 "content": <내용>,
                 "iconPath": <펼친 이미지 URL>,
                 "receivedDtm": <발송일자>,
                 "urlCd": <링크타입 - AP:앱실행, DP:딥링크, WB:웹브라우저실행>,
                 "url_and": <안드로이드 딥링크 or URL>,
                 "url_ios": <iOS 딥링크 or URL>,
                 "osCd": <디바이스 타입 - IS:iOS, AD:Android>,
                 "goalCd":  <알림 목적 (fields에 goalCd가 있을 경우에만 노출) - AD: 광고성 , IN: 정보성>
             },
             ... (조회일로부터 1주일 내의 회원 Push 이력)
     ]
}
```

***

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.groobee.ai/developer-guide/api-guide/undefined.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
